@nextcloud
Feature: Test nextcloud admin login
  As an OAS admin
  I want to be able to login to nextcloud as the user admin
  And I want to be able to open a document in OnlyOffice

Scenario: Test OnlyOffice welcome screen
  Given I have closed all but the first window
  And I open the onlyoffice URL
  Then I wait on element "#status-ok-icon" for 1000ms to exist

Scenario: Open nextcloud
  When I open the nextcloud URL
  Then I wait on element "input#user" for 25000ms to be visible
  And  I expect that element "input#user" is visible

Scenario: Login to nextcloud
  Given the element "input#user" is visible
  When I enter the "nextcloud" "username" in the inputfield "input#user"
  And I enter the "nextcloud" "password" in the inputfield "input#password"
  And I click on the button "input#submit-form"
  Then I expect that element ".logo" does exist
  And I expect that cookie "nc_session_id" exists
  And I expect that cookie "nc_token" exists
  And I expect that cookie "nc_username" exists

Scenario: Close welcome to nextcloud modal
  When I close the nextcloud welcome wizard if it exists
  Then I wait on element "#firstrunwizard" for 1000ms to not exist
  And I wait on element "[aria-label='Files']" for 5000ms to be visible

Scenario: Create a new document in OnlyOffice
  When I click on the element "[aria-label='Files']"
  # Unfortunaty there's no check if the element that's already visible
  # is also clickable.
  And I wait on element "[class='button new']" to be clickable
  And I click on the button "[class='button new']"
  And I click on the element "[data-action='onlyofficeDocx']"
  And I add a random string to the inputfield ".filenameform input[type=text]"
  And I click on the element "input.icon-confirm"
  And I focus the last opened tab
  Then I expect a new tab has been opened
  And I expect that element "div.toast-error" does not exist

Scenario: Assert the bold button is not activated
  When I wait for the iframe named "frameEditor" and switch to it
  Then I wait on element "div.asc-loadmask" for 20000ms to be visible
  And I wait on element "div.asc-loadmask" for 20000ms to not exist
  And I wait on element "[id='id-toolbar-btn-bold']" for 20000ms to be visible
  And I expect that element "[id='id-toolbar-btn-bold']" does not have the class "active"

Scenario: Active the bold button
  When I click on the element "[id='id-toolbar-btn-bold']"
  Then I expect that element "[id='id-toolbar-btn-bold']" has the class "active"
